# Payments

Our API allows developers to execute Payments functions via HTTPS client using TLS 1.2 protocol. The Payment API is a Web API that accepts JSON payloads and returns JSON-encoded responses and needs API key authentication. A payment response includes the status of the request. It also includes processor-specific information when the request is successful and errors if unsuccessful

{% hint style="success" %}
**Note:** All Payments requests must be called from the base URL <https://api.firstoken.co/v1/payments/>
{% endhint %}

{% hint style="info" %}
**Note:** In case, you have to make some sandbox tests you must be called from the base URL <https://api.firstoken-staging.co/v1/payments>
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://firstoken.gitbook.io/api-docs/api-reference/payments.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
